Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1395885

Summary: ISE in case no system is selected for deployed configuration files comparison.
Product: Red Hat Satellite 5 Reporter: Jan Hutař <jhutar>
Component: WebUIAssignee: Grant Gainey <ggainey>
Status: CLOSED DUPLICATE QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: low Docs Contact:
Priority: low    
Version: 580CC: dyordano, galtukho, ggainey, jhutar, satellite-qa-list, sherr, tlestach
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1122974 Environment:
Last Closed: 2016-11-22 08:52:02 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1122971, 1122974    
Bug Blocks: 924189    

Description Jan Hutař 2016-11-16 21:18:38 UTC
We have tested (or attempted to test) bug like this when Spacewalk 2.6 was to be released. This is a clone of that bug to get it re-tested on Satellite 5.8.0. In some cases bug can be completely irrelevant (in such cases I suggest to close the bug as NOTABUG), in some cases it might be wise to take the bug as a note that something changed in a given area and we might want to sanity-test that area (and mark the bug as VERIFIED with "SanityOnly" keyword) and in some cases bug might be totally relevant to Satellite.



+++ This bug was initially created as a clone of Bug #1122974 +++

+++ This bug was initially created as a clone of Bug #1122971 +++

Description of problem:
ISE in case no system  is selected for deployed configuration files comparison.

Version-Release number of selected component (if applicable):
spacewalk-java-2.0.2-78

How reproducible:
100%

Steps to Reproduce:
1. Create configuration channel.
2. Create a configuration file in it.
3. Register a client to Satellite.
     - add provisioning entitlement.
     - assign the configuration channel to the client.
     - install rhncfg* on the client.
4. Deploy the configuration file on the client.
    $ rhncfg-client get
5. Configuration -> Recently Modified Configuration Files: -> "conf file" ->
     Compare File -> Deployed Files
   Do not select any system, just press "Schedule File Comparison"

Actual results:
ISE

Expected results:
Some message.

Additional info:

--- Additional comment from Grant Gainey on 2016-02-03 15:07:48 EST ---

spacewalk.github PR#128

--- Additional comment from Grant Gainey on 2016-02-04 14:37:57 EST ---

spacewalk.github 70291fb1453e235fecfcc74e1e0f0854ff5a8df6q

--- Additional comment from Jan Hutař on 2016-11-10 17:32:52 EST ---

I have tested on both SWnightly@OracleXE10@RHEL6 and SWnightly@PostgreSQL@RHEL7 (spacewalk-java-2.6.47-1.el?.noarch).

When testing this, I have reported bug 1394053 and bug 1394058.

After performing steps in comment #0, I got "No system was selected." error, which is good. For sanity purposes, I have also tried to schedule the diff with one system selected and it worked. => VERIFIED